require 'rise/version'

module Rise
  # TODO: test all
  class << self
    attr_accessor :sanitize_regexp, :cache_prefix_regexp
  end
  @sanitize_regexp = /[^a-zA-Z0-9\.\-\+_]/
  @cache_prefix_regexp = /\A[\d]{8}\-[\d]{4}\-[\d]+\-[\d]{4}\z/
  
  def self.generate_cache_prefix
    Time.now.strftime('%Y%m%d-%H%M') + "-#{Process.pid}-" + ("%04d" % rand(9999))
  end
  
  class MultipartError < StandardError
  end
  
  class InvalidFilename < StandardError
  end
  
  class InvalidCachePrefix < StandardError
  end
  
  class NotFoundError < StandardError
  end
end

require 'rise/uploadable'